Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javassist.bytecode
Class AccessFlag

    java.lang.Object
      |
      +--javassist.bytecode.AccessFlag

public class AccessFlag
extends java.lang.Object

A support class providing static methods and constants for access modifiers such as public, rivate, ...

Field Summary
`static int` | `ABSTRACT`
`static int` | `FINAL`
`static int` | `INTERFACE`
`static int` | `NATIVE`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `STATIC`
`static int` | `STRICT`
`static int` | `SUPER`
`static int` | `SYNCHRONIZED`
`static int` | `TRANSIENT`
`static int` | `VOLATILE`

Constructor Summary
`AccessFlag()`

Method Summary
`static int` | `clear(int accflags, int clearBit)` Clears a specified bit in `accflags`.
`static int` | `of(int modifier)` Converts a javassist.Modifier into a javassist.bytecode.AccessFlag.
`static int` | `setPackage(int accflags)` Clears the public, protected, and private bits.
`static int` | `setPrivate(int accflags)` Truns the private bit on.
`static int` | `setProtected(int accflags)` Truns the protected bit on.
`static int` | `setPublic(int accflags)` Truns the public bit on.
`static int` | `toModifier(int accflags)` Converts a javassist.bytecode.AccessFlag into a javassist.Modifier.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### FINAL

    public static final int FINAL

See Also:
  Constant Field Values

### SYNCHRONIZED

    public static final int SYNCHRONIZED

See Also:
  Constant Field Values

### VOLATILE

    public static final int VOLATILE

See Also:
  Constant Field Values

### TRANSIENT

    public static final int TRANSIENT

See Also:
  Constant Field Values

### NATIVE

    public static final int NATIVE

See Also:
  Constant Field Values

### INTERFACE

    public static final int INTERFACE

See Also:
  Constant Field Values

### ABSTRACT

    public static final int ABSTRACT

See Also:
  Constant Field Values

### STRICT

    public static final int STRICT

See Also:
  Constant Field Values

### SUPER

    public static final int SUPER

See Also:
  Constant Field Values

Constructor Detail

### AccessFlag

    public AccessFlag()

Method Detail

### setPublic

    public static int setPublic(int accflags)

  Truns the public bit on. The protected and private bits are cleared.

### setProtected

    public static int setProtected(int accflags)

  Truns the protected bit on. The protected and public bits are cleared.

### setPrivate

    public static int setPrivate(int accflags)

  Truns the private bit on. The protected and private bits are cleared.

### setPackage

    public static int setPackage(int accflags)

  Clears the public, protected, and private bits.

### clear

    public static int clear(int accflags,
                            int clearBit)

  Clears a specified bit in `accflags`.

### of

    public static int of(int modifier)

  Converts a javassist.Modifier into a javassist.bytecode.AccessFlag.

  Parameters:
    `modifier` - javassist.Modifier

### toModifier

    public static int toModifier(int accflags)

  Converts a javassist.bytecode.AccessFlag into a javassist.Modifier.

  Parameters:
    `accflags` - javassist.bytecode.Accessflag

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Javassist, a Java-bytecode translator toolkit. Copyright (C) 1999-2003 Shigeru Chiba. All Rights Reserved.